Package org.apache.sysds.hops.codegen.template

# Class CPlanOpRewriter

java.lang.Object
org.apache.sysds.hops.codegen.template.CPlanOpRewriter

public class CPlanOpRewriter extends Object
This cplan rewriter is meant to be the central place for any cplan enhancements before code generation. These rewrites do not aim to handle reorderings or other algebraic simplifications but rather focus on low-level simplifications to produce better code, while keeping the cplan construction of the individual templates clean and without unnecessary redundancy. Assumption: This rewriter should be called before CSE as these rewrites potentially destroy common subexpressions.

## Constructor Summary

Constructors
Constructor
Description
`CPlanOpRewriter()`

## Method Summary

Modifier and Type
Method
Description
`CNodeTpl`
`simplifyCPlan(CNodeTpl tpl)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CPlanOpRewriter

public CPlanOpRewriter()

## Method Details

### simplifyCPlan

public CNodeTpl simplifyCPlan(CNodeTpl tpl)